org.apache.olingo.odata2.jpa.processor.api.jpql

## Interface JPQLSelectSingleContextView

- All Superinterfaces:
    JPQLContextView
  All Known Subinterfaces:
    JPQLJoinSelectSingleContextView

      public interface JPQLSelectSingleContextView
      extends JPQLContextView

  The interface provide a view on JPQL select single context.The interface provides methods for accessing the clause of a JPQL SELECT statement like "SELECT". The view can be used for building JPQL statements without any WHERE,JOIN,ORDERBY clauses. The clauses are built from OData read entity request views.
  See Also:
    `JPQLStatement`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<KeyPredicate>` | `getKeyPredicates()` The method returns the list of key predicates that can be used for constructing the WHERE clause in JPQL statements.
    `Map<String,Map<Integer,Object>>` | `getParameterizedQueryMap()` Key in the map is the JPA query and value is a map with key being index and value being parameter value
    `String` | `getSelectExpression()` The method returns a JPQL SELECT clause.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLContextView

      `getJPAEntityAlias, getJPAEntityName, getJPQLStatement, getType, setJPQLStatement`

- - ### Method Detail

    - #### getSelectExpression

          String getSelectExpression()

      The method returns a JPQL SELECT clause. The SELECT clause is built from $select OData system Query option.
      Returns:
        a String representing a SELECT clause in JPQL

    - #### getKeyPredicates

          List<KeyPredicate> getKeyPredicates()

      The method returns the list of key predicates that can be used for constructing the WHERE clause in JPQL statements. The OData entity key predicates are thus converted into JPA entity keys.
      Returns:
        a list of key predicates

    - #### getParameterizedQueryMap

          Map<String,Map<Integer,Object>> getParameterizedQueryMap()

      Key in the map is the JPA query and value is a map with key being index and value being parameter value
      Returns:
        a map of String and value is another map of Integer and Object

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.